
Foreman - Feature #13244

Upgrade Ruby on Rails to 4.2

01/15/2016 09:50 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Rails   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3294

  

Description

This ticket covers the upgrade of core Foreman to Ruby on Rails 4.2 (i.e. Gemfile et al).

Related issues:

Related to Katello - Refactor #14156: Support Ruby on Rails 4.2 without Forei... Closed 03/11/2016

Related to Foreman - Bug #14155: Tests are order dependent, should be runnabl... Closed 03/11/2016

Related to Foreman - Bug #14253: Saving dashboard widget positions fails unde... Closed 03/17/2016

Related to Docker - Refactor #14581: Fix migrations for Rails 4.2 Closed 04/11/2016

Related to Foreman - Bug #15718: Hashes defined in matchers do not save prope... Closed 07/18/2016

Blocks Foreman - Tracker #13243: Rails 4.2 upgrade tasks Resolved 01/15/2016

Blocked by Foreman - Feature #12873: Update Rails to 4.1.latest Closed 12/18/2015

Blocked by Foreman - Refactor #13440: Replace Host::Base#model_name to preven... Closed 01/28/2016

Blocked by Foreman - Bug #13878: assets_paths initializer fails calling gener... Closed 02/24/2016

Blocked by Foreman - Refactor #13879: Load mocha/minitest integration explici... Closed 02/24/2016

Blocked by Foreman - Refactor #13883: Host::Managed.last_report_object associ... Closed 02/24/2016

Blocked by Foreman - Refactor #13897: Explicitly set :limit on all DB migrati... Closed 02/25/2016

Blocked by Foreman - Refactor #13938: Remove reports fixtures Closed 02/29/2016

Blocked by Foreman - Refactor #13978: Replace AR connection value_to_boolean ... Closed 03/01/2016

Blocked by Foreman - Bug #14064: Puppetclass#hostgroups_count should be exclu... Rejected 03/07/2016

Blocked by Foreman - Refactor #14093: Remove unused roles permissions column Closed 03/08/2016

Blocked by Foreman - Refactor #14094: Replace DB migration foreign_keys calls... Closed 03/08/2016

Associated revisions

Revision 60f2c480 - 04/18/2016 06:15 AM - Dominic Cleal

refs #13244 - require Rails 4.2

Revision 85a97146 - 04/20/2016 10:06 AM - Dominic Cleal

fixes #13244 - update Rails to 4.2.6

- Add responders gem to support class-level respond_to usage

- http://edgeguides.rubyonrails.org/4_2_release_notes.html#respond-with-class-level-respond-to

- Replace foreigner with native Rails 4.2 FK support

- uses a patch from Rails 5 to support Foreigner's

`foreign_key_exists?` helper for full compatibility

- `foreign_keys` should be avoided in favour of the higher level

methods as it throws a NotImplementedError on sqlite3

- Update DB adapter versions to match ActiveRecord

- Enable exceptions from after_commit handlers to detect more errors

- Change deprecated application config settings

- Remove test:lib chaining on rake test task

- 4.2 runs lib tasks automatically now, as test:run is redefined

to all _test files within test/ rather than units+functionals.
The task is still needed for the jenkins:* tasks.

- Fix deprecation of mailer #deliver method, change to #deliver_now

- Change CSRF test to use generated, not static tokens

- 4.2 changes CSRF tokens to be different on every request and

validated against the session, so use its generator to test the

controller behaviour instead of hardcoding tokens.

- Change test execution order to random

Revision 43539b4a - 04/29/2016 05:37 AM - Dominic Cleal

refs #13244 - update mysql2/sqlite3 dependencies

History

#1 - 01/15/2016 09:50 AM - Dominic Cleal

- Blocks Tracker #13243: Rails 4.2 upgrade tasks added

#2 - 01/15/2016 09:50 AM - Dominic Cleal

- Blocked by Feature #12873: Update Rails to 4.1.latest added

#3 - 01/26/2016 06:22 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#4 - 01/28/2016 10:08 AM - Dominic Cleal

- Blocked by Refactor #13440: Replace Host::Base#model_name to prevent Rails 4.2 conflict added

#5 - 01/28/2016 10:53 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3133 added

#6 - 01/28/2016 10:55 AM - Dominic Cleal

- Status changed from Ready For Testing to Assigned

- Pull request deleted (https://github.com/theforeman/foreman/pull/3133)

#7 - 02/24/2016 10:24 AM - Dominic Cleal

- Blocked by Bug #13878: assets_paths initializer fails calling generate_railtie_name on Rails 4.2 added

#8 - 02/24/2016 10:52 AM - Dominic Cleal

- Blocked by Refactor #13879: Load mocha/minitest integration explicitly in test_helper added

#9 - 02/24/2016 11:21 AM - Dominic Cleal

- Blocked by Refactor #13883: Host::Managed.last_report_object association uses deprecated :order parameter added

#10 - 02/25/2016 05:53 AM - Dominic Cleal

- Blocked by Refactor #13897: Explicitly set :limit on all DB migrations adding string columns added

#11 - 02/25/2016 06:08 AM - Dominic Cleal

A branch is available at https://github.com/domcleal/foreman/commits/13244-rails42 for anybody wanting to test against it.  Apart from a couple of

integration tests, it's in good working order.

#12 - 02/29/2016 03:37 AM - Dominic Cleal

- Blocked by Refactor #13938: Remove reports fixtures added

#13 - 03/01/2016 09:04 AM - Dominic Cleal

- Blocked by Refactor #13978: Replace AR connection value_to_boolean method with Foreman::Cast added

#14 - 03/07/2016 04:33 AM - Dominic Cleal

- Blocked by Bug #14064: Puppetclass#hostgroups_count should be excluded from auditing added
#15 - 03/08/2016 07:28 AM - Dominic Cleal

- Blocked by Refactor #14093: Remove unused roles permissions column added

#16 - 03/08/2016 07:44 AM - Dominic Cleal

- Blocked by Refactor #14094: Replace DB migration foreign_keys calls with foreign_key_exists? added

#17 - 03/08/2016 12:13 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3294 added

#18 - 03/11/2016 07:47 AM - Dominic Cleal

- Related to Refactor #14156: Support Ruby on Rails 4.2 without Foreigner added

#19 - 03/11/2016 07:49 AM - Dominic Cleal

This has been merged into the rails42 branch and not develop yet (leaving it on RfT until it is merged).  Please see 

https://groups.google.com/forum/#!topic/foreman-dev/6ANhWVGDzNA for details.

#20 - 03/11/2016 07:50 AM - Dominic Cleal

- Related to Bug #14155: Tests are order dependent, should be runnable with random order added

#21 - 03/18/2016 06:14 AM - Dominic Cleal

- Related to Bug #14253: Saving dashboard widget positions fails under Rails 4.2 added

#22 - 04/11/2016 05:10 PM - David Davis

- Related to Refactor #14581: Fix migrations for Rails 4.2 added

#23 - 04/20/2016 11:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 85a971464db95b91ebb3db1070b908f97b9c3e5f.

#24 - 04/21/2016 04:11 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#25 - 07/18/2016 07:33 AM - Dominic Cleal

- Related to Bug #15718: Hashes defined in matchers do not save properly after the first time added
